simd.h File Reference
`#include <cmath>`
`#include <cstdint>`

Go to the source code of this file.

## Functions

static long | grk_lrintf (float f)
static uint32_t | grk_population_count (uint32_t val)

## Function Documentation

## grk_lrintf()

static long grk_lrintf | ( | float | f | ) |

inline static

Referenced by grk::t1_part1::T1Part1::preCompress().

## grk_population_count()

static uint32_t grk_population_count | ( | uint32_t | val | ) |

inline static

Referenced by grk::CodeStreamDecompress::read_cap().